package com.muzhi.zgd.controller;

import com.muzhi.zgd.service.ZGDjiaozhigongService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ZhangKan
 * @Data 15:03
 */

@Api(description = "浙工大教职工接口")
@RestController
@RequestMapping("/zgdservice")
public class ZGDjiaozhigongController {

    @Autowired
    private ZGDjiaozhigongService zgDjiaozhigongService;

    //获取浙工大教职工信息
    /*
    姓名，部门，手机号，工号，职称，性别，党政职务，职称等级，校内管理岗聘任岗位，党政职务级别，行政职级，技术职称，专业技术岗等级
     */
    @ApiOperation(value = "获取浙工大教职工信息")
    @GetMapping("getJiaozhigong")
    public String getJiaozhigong() throws Exception{

        String jiaozhigong = zgDjiaozhigongService.getJiaozhigong();
        return jiaozhigong;
    }


    //向牧之测试架构4同步测试人员数据【主要用于测试浙工大需求：抓取浙工大教职工数据创建到钉钉中，并同时修改更新每个人员的其他字段信息】
    @ApiOperation(value = "测试同步浙工大教职工信息")
    @PostMapping("addJiaozhigong")
    public String addJiaozhigong(){

        String result = zgDjiaozhigongService.addJiaozhigong();
        return result;
    }

    //向浙工大架构同步教职工人员数据【主要用于浙工大需求：抓取浙工大教职工数据创建到钉钉中，并同时修改更新每个人员的其他字段信息】
    @ApiOperation(value = "同步浙工大教职工信息")
    @PostMapping("addJiaozhigongZGD")
    public String addJiaozhigongZGD() throws Exception{

        String result = zgDjiaozhigongService.addJiaozhigongZGD();
        return result;
    }

    //浙工大教职工数据同步至本地数据库
    @ApiOperation(value = "同步浙工大教职工信息")
    @PostMapping("addJiaozhigongToBD")
    public String addJiaozhigongToBD() throws Exception{

        String s = zgDjiaozhigongService.addJiaozhigongToBD();
        return s;
    }
}
