package com.muzhi.zgd.handler;

import com.alibaba.fastjson.JSONObject;
import com.muzhi.zgd.exception.HttpResponseException;
import com.muzhi.zgd.http.HttpIOUtils;
import com.muzhi.zgd.http.HttpStatus;

import java.io.IOException;
import java.net.HttpURLConnection;

/**
 * 
 * @className	： JSONResponseHandler
 * @description	： http请求响应处理：返回JSONObject对象
 * @date		： 2017年6月13日 下午9:19:46
 * @version 	V1.0
 */
public class JSONResponseHandler implements ResponseHandler<JSONObject> {

	@Override
	public void preHandle(HttpURLConnection httpConn) {
		
	}
	
	@Override
	public JSONObject handleResponse(HttpURLConnection httpConn, String charset) throws IOException {
		int status = httpConn.getResponseCode();
		if (status >= HttpURLConnection.HTTP_OK && status < HttpURLConnection.HTTP_MULT_CHOICE) {
			String result = HttpIOUtils.toInputText(httpConn.getErrorStream(), charset);
			return JSONObject.parseObject(result);
		} else {
			String result = HttpIOUtils.toInputText(httpConn.getErrorStream(), charset);
			if(result != null && result.length() > 0) {
				throw new HttpResponseException(status, result.toString());
			}
			throw new HttpResponseException(status, HttpStatus.getStatusText(status));
		}
	}
	
	 
}
